﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ELTE.TravelAgency.Data
{
    /// <summary>
    /// Épület típusa.
    /// </summary>
    public class BuildingDTO
    {
        /// <summary>
        /// Épület azonosítója.
        /// </summary>
        public Int32 Id { get; set; }

        /// <summary>
        /// Épület neve.
        /// </summary>
        public String Name { get; set; }

        /// <summary>
        /// Város.
        /// </summary>
        public CityDTO City { get; set; }
        
        /// <summary>
        /// Tengerpart távolság.
        /// </summary>
        public Int32 SeaDistance { get; set; }
        
        /// <summary>
        /// Tengerpart azonosító.
        /// </summary>
        public Int32? ShoreId { get; set; }

        /// <summary>
        /// Jellemzők.
        /// </summary>
        public FeatureDTO[] Features { get; set; }

        /// <summary>
        /// X pozíció.
        /// </summary>
        public Double LocationX { get; set; }
        
        /// <summary>
        /// Y pozíció.
        /// </summary>
        public Double LocationY { get; set; }
        
        /// <summary>
        /// Megjegyzés.
        /// </summary>
        public String Comment { get; set; }

        /// <summary>
        /// Képek.
        /// </summary>
        public IList<ImageDTO> Images { get; set; }

        /// <summary>
        /// Épület példányosítása.
        /// </summary>
        public BuildingDTO()
        {
            Features = new FeatureDTO[] 
            { 
                new FeatureDTO { Id = 0 },
                new FeatureDTO { Id = 1 },
                new FeatureDTO { Id = 2 },
                new FeatureDTO { Id = 3 },
                new FeatureDTO { Id = 4 }
            };
            Images = new List<ImageDTO>();
        }
    }
}
